<script setup>
import { useRouter } from 'vue-router'
import BookCard from '@/components/BookCard.vue'
import { useBookStore } from '@/store/BookStore'

const router = useRouter()

const bookStore = useBookStore()
bookStore.fetchBooks().catch((error) => {
  router.push({
    name: 'ErrorDisplay',
    params: { error: error }
  })
})
</script>

<template>
  <v-container>
    <v-responsive class="align-center text-center fill-height">
      <h1 class="mb-5">Book List</h1>
      <v-row>
        <v-col v-for="book in bookStore.booksList" :key="`${book.id}`" cols="12" md="6" lg="3">
          <BookCard :book="book" />
        </v-col>
      </v-row>
    </v-responsive>
  </v-container>
</template>
